Subject: bug#10301: Problems in $(LIBTOOL) deifnition

From: Stefano Lattarini <[email-masked]>
Date: Wed, 21 Dec 2011 19:44:33 +0100

tags 10301 notabug
close 10301
thanks

Hi Marko.

Sorry for the delay, but this thread had fallen outside my radar.

On 12/15/2011 11:54 AM, Marko Lindqvist wrote:
> On 15 December 2011 11:54, Stefano Lattarini
> <[email-masked]> wrote:
>>>
>>> I'm cross-compiling gettext to mingw32-target in linux system. I have
>>> to regenerate build system (so it's not the one distributed with
>>> gettext 0.18.1.1). I end with libtool-script that has /bin/bash as
>>> shebang. Yet when doing the build, it's run through /bin/sh ("/bin/sh
>>> ../libtool"). This work in one of my systems where /bin/sh is bash,
>>> and fails in another where /bin/sh is dash.
>>>
>> The issue you are experiencing is probably due to the fact that the
>> automake-generated makefiles use $(LIBTOOL) to issue libtool invocations,
>> and that explicitly runs the libtool script through the shell given by
>> $(SHELL).
> 
>  Yes, everything works when libtool is built with attached patch that
> makes $(LIBTOOL) to run libtool-script directly instead of feeding it
> to (possibly wrong) shell.
> 
Thanks for the confirmation; I'm closing this bug report for what
concerns automake then (the issues should still remain open in the
libtool tracker).

Regards,
 Stefano